Retrieves a list of meetings scheduled within an organisation for a specified date range.
Query Parameters
start_date (date, optional): The start date for filtering meetings. Meetings on or after this date will be included.
end_date (date, optional): The end date for filtering meetings. Meetings on or before this date will be included.
Headers
X-API-Key: The API key for authentication.
Response
Returns a list of ExternalMeeting objects representing each meeting within the specified date range. Each object includes details such as the meeting’s start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.
GET
/
api
/
v1
/
meetings
Fetch Organisation Meetings Api
curl --request GET \ --url https://services.meetchase.ai/api/v1/meetings \ --header 'X-API-Key: <api-key>'
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"ChaseLabs Docs","colors":{"primary":"#FF5D5D","light":"#FF5D5D","dark":"#FF5D5D"},"favicon":"/Favicon.png","logo":{"light":"https://mintcdn.com/chaselabs/q2b5RS8qgCT-5kp8/logo/light.svg?fit=max\u0026auto=format\u0026n=q2b5RS8qgCT-5kp8\u0026q=85\u0026s=7c28bbef56089dc7d49192a80c099af8","dark":"https://mintcdn.com/chaselabs/q2b5RS8qgCT-5kp8/logo/dark.svg?fit=max\u0026auto=format\u0026n=q2b5RS8qgCT-5kp8\u0026q=85\u0026s=7be9d1ecc8ff148648b82f6d499e3473"},"navbar":{"links":[{"label":"Support","href":"mailto:team@meetchase.ai"}],"primary":{"type":"button","label":"Dashboard","href":"https://go.meetchase.ai"}},"footer":{"socials":{"x":"https://x.com/meetchaselabs","github":"https://github.com/Chase-Labs","linkedin":"https://linkedin.com/company/chaselabs"}},"fonts":{"heading":{"family":"Outfit"},"body":{"family":"Outfit"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Documentation","href":"https://docs.meetchase.ai","icon":"book-open-cover"},{"anchor":"Zapier","href":"https://zapier.com/developer/public-invite/218425/33faeff99870659b59266ebfed7caf43/","icon":"bolt"},{"anchor":"Blog","href":"https://meetchase.ai/blog","icon":"newspaper"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"chaselabs","hasAudioNarration":false,"actualSubdomain":"chaselabs","customDomains":["docs.meetchase.ai"],"gitSource":{"type":"github","owner":"chase-labs","repo":"public-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c6efca764992bd9d1e2a","collectionId":"a802c4df-b023-4085-ba86-256541d04c41","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae9246423e9642788d63ed1:success","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":14},{"language":"default","tag":"Campaigns","count":6},{"language":"default","tag":"Contacts","count":4},{"language":"default","tag":"Guides","count":4},{"language":"default","tag":"Meetings \u0026 Conversions","count":2},{"language":"default","tag":"API Documentation","count":1},{"language":"default","tag":"AI SDRs","count":1},{"language":"default","tag":"Documentation","count":1},{"language":"default","tag":"Getting Started","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/endpoint/fetchMeetings","slug":"/api-reference/endpoint/fetchMeetings","pageMetadata":{"title":"Fetch Meetings","openapi":"GET /api/v1/meetings","description":"Retrieves a list of meetings scheduled within an organisation for a specified date range.\n\n### Query Parameters\n\n- `start_date` (`date`, optional): The start date for filtering meetings. Meetings on or after this date will be included.\n- `end_date` (`date`, optional): The end date for filtering meetings. Meetings on or before this date will be included.\n\n### Headers\n\n- `X-API-Key`: The API key for authentication.\n\n### Response\n\n- Returns a list of `ExternalMeeting` objects representing each meeting within the specified date range. Each object includes details such as the meeting's start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.","href":"/api-reference/endpoint/fetchMeetings"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n h3: \"h3\",\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Retrieves a list of meetings scheduled within an organisation for a specified date range.\"\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Query Parameters\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"start_date\"\n }), \" (\", _jsx(_components.code, {\n children: \"date\"\n }), \", optional): The start date for filtering meetings. Meetings on or after this date will be included.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"end_date\"\n }), \" (\", _jsx(_components.code, {\n children: \"date\"\n }), \", optional): The end date for filtering meetings. Meetings on or before this date will be included.\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Headers\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"X-API-Key\"\n }), \": The API key for authentication.\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Response\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Returns a list of \", _jsx(_components.code, {\n children: \"ExternalMeeting\"\n }), \" objects representing each meeting within the specified date range. Each object includes details such as the meeting’s start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Fetch Meetings","openapi":"GET /api/v1/meetings","description":"Retrieves a list of meetings scheduled within an organisation for a specified date range.\n\n### Query Parameters\n\n- `start_date` (`date`, optional): The start date for filtering meetings. Meetings on or after this date will be included.\n- `end_date` (`date`, optional): The end date for filtering meetings. Meetings on or before this date will be included.\n\n### Headers\n\n- `X-API-Key`: The API key for authentication.\n\n### Response\n\n- Returns a list of `ExternalMeeting` objects representing each meeting within the specified date range. Each object includes details such as the meeting's start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.","href":"/api-reference/endpoint/fetchMeetings"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Public API Routes","Meeting Routes"],"summary":"Fetch Organisation Meetings Api","description":"Retrieves a list of meetings scheduled within an organisation for a specified date range.\n\n### Query Parameters\n\n- `start_date` (`date`, optional): The start date for filtering meetings. Meetings on or after this date will be included.\n- `end_date` (`date`, optional): The end date for filtering meetings. Meetings on or before this date will be included.\n\n### Headers\n\n- `X-API-Key`: The API key for authentication.\n\n### Response\n\n- Returns a list of `ExternalMeeting` objects representing each meeting within the specified date range. Each object includes details such as the meeting's start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.","operationId":"fetch_organisation_meetings_api_api_v1_meetings_get","security":["eae01416-f2fc-4429-aeb1-f9ef72191b6f"],"parameters":["0ac01c68-fd8d-4d56-9f43-68a37972b8b3","eea5cd58-11ac-4ab9-a52a-19a3ec45f89f"],"responses":{"200":"fa9cb0db-2a72-4cb9-99b0-27df97074f5b","422":"b5aafa3b-f8f8-427c-9742-d538ccde97ba"},"method":"get","type":"path","servers":["1fadd3a3-e71c-47e8-a0a0-bb3283f27699"],"path":"/api/v1/meetings","baseUrlOptions":["https://services.meetchase.ai"],"title":"Fetch Organisation Meetings Api","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"0ac01c68-fd8d-4d56-9f43-68a37972b8b3":{"name":"start_date","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Start Date","format":"date","uniqueKey":"oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","title":"Start Date","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate> | null"}},"eea5cd58-11ac-4ab9-a52a-19a3ec45f89f":{"name":"end_date","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"End Date","format":"date","uniqueKey":"oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","title":"End Date","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate> | null"}}},"responses":{"fa9cb0db-2a72-4cb9-99b0-27df97074f5b":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"start":{"type":"string","format":"date-time","title":"Start","isRequired":true,"uniqueKey":"items.[INDEX].start","typeLabel":"string\u003cdate-time>"},"end":{"type":"string","format":"date-time","title":"End","isRequired":true,"uniqueKey":"items.[INDEX].end","typeLabel":"string\u003cdate-time>"},"id":{"type":"integer","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].id","typeLabel":"integer"},"exchange_id":{"type":"integer","title":"Exchange Id","isRequired":true,"uniqueKey":"items.[INDEX].exchange_id","typeLabel":"integer"},"campaign":{"properties":{"name":{"type":"string","maxLength":63,"minLength":1,"title":"Name","isRequired":true,"uniqueKey":"items.[INDEX].campaign.name","typeLabel":"string"},"id":{"type":"integer","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].campaign.id","typeLabel":"integer"}},"type":"object","required":["name","id"],"title":"BaseCampaign","examples":[{"id":1,"name":"Lead Generation Campaign"}],"isRequired":true,"uniqueKey":"items.[INDEX].campaign","typeLabel":"BaseCampaign · object"},"iana_timezone":{"type":"string","title":"Iana Timezone","isRequired":true,"uniqueKey":"items.[INDEX].iana_timezone","typeLabel":"string"},"summary":{"oneOf":[{"type":"string","title":"Summary","isRequired":true,"uniqueKey":"items.[INDEX].summary.oneOf.0","typeLabel":"string"},{"type":"null","title":"Summary","isRequired":true,"uniqueKey":"items.[INDEX].summary.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].summary","typeLabel":"string | null"},"created_at":{"type":"string","format":"date-time","title":"Created At","isRequired":true,"uniqueKey":"items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"meeting_link":{"oneOf":[{"type":"string","title":"Meeting Link","isRequired":true,"uniqueKey":"items.[INDEX].meeting_link.oneOf.0","typeLabel":"string"},{"type":"null","title":"Meeting Link","isRequired":true,"uniqueKey":"items.[INDEX].meeting_link.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].meeting_link","typeLabel":"string | null"},"bot":{"oneOf":[{"type":"object","title":"BaseCorrespondent","description":"Represents the basic contact details of a correspondent.","required":["email","id"],"example":{"email":"alice@example.com","first_name":"Alice","last_name":"Smith"},"properties":{"email":{"type":"string","format":"email","title":"Email","isRequired":true,"uniqueKey":"items.[INDEX].bot.oneOf.0.email","typeLabel":"string\u003cemail>"},"id":{"type":"integer","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].bot.oneOf.0.id","typeLabel":"integer"},"first_name":{"oneOf":[{"type":"string","title":"First Name","maxLength":63,"uniqueKey":"items.[INDEX].bot.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","uniqueKey":"items.[INDEX].bot.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].bot.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","maxLength":63,"uniqueKey":"items.[INDEX].bot.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","uniqueKey":"items.[INDEX].bot.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].bot.oneOf.0.last_name","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"items.[INDEX].bot.oneOf.0","typeLabel":"BaseCorrespondent · object"},{"type":"null","isRequired":true,"uniqueKey":"items.[INDEX].bot.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].bot","typeLabel":"BaseCorrespondent · object | null"},"contact":{"properties":{"email":{"type":"string","format":"email","title":"Email","isRequired":true,"uniqueKey":"items.[INDEX].contact.email","typeLabel":"string\u003cemail>"},"id":{"type":"integer","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].contact.id","typeLabel":"integer"},"first_name":{"oneOf":[{"type":"string","title":"First Name","maxLength":63,"uniqueKey":"items.[INDEX].contact.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","uniqueKey":"items.[INDEX].contact.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].contact.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","maxLength":63,"uniqueKey":"items.[INDEX].contact.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","uniqueKey":"items.[INDEX].contact.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].contact.last_name","typeLabel":"string | null"}},"type":"object","required":["email","id"],"title":"BaseCorrespondent","description":"Represents the basic contact details of a correspondent.","examples":[{"email":"alice@example.com","first_name":"Alice","last_name":"Smith"}],"isRequired":true,"uniqueKey":"items.[INDEX].contact","typeLabel":"BaseCorrespondent · object"},"user":{"properties":{"email":{"type":"string","format":"email","title":"Email","isRequired":true,"uniqueKey":"items.[INDEX].user.email","typeLabel":"string\u003cemail>"},"id":{"type":"integer","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].user.id","typeLabel":"integer"},"first_name":{"oneOf":[{"type":"string","title":"First Name","maxLength":63,"uniqueKey":"items.[INDEX].user.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","uniqueKey":"items.[INDEX].user.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].user.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","maxLength":63,"uniqueKey":"items.[INDEX].user.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","uniqueKey":"items.[INDEX].user.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].user.last_name","typeLabel":"string | null"}},"type":"object","required":["email","id"],"title":"BaseCorrespondent","description":"Represents the basic contact details of a correspondent.","examples":[{"email":"alice@example.com","first_name":"Alice","last_name":"Smith"}],"isRequired":true,"uniqueKey":"items.[INDEX].user","typeLabel":"BaseCorrespondent · object"},"cancelled":{"type":"boolean","title":"Cancelled","default":false,"uniqueKey":"items.[INDEX].cancelled","typeLabel":"boolean"}},"type":"object","required":["start","end","id","exchange_id","campaign","iana_timezone","summary","created_at","meeting_link","bot","contact","user"],"title":"ExternalMeeting","examples":[{"bot":{"email":"bot@example.com","first_name":"Bartholomew","id":1,"last_name":"Fleetwood"},"campaign":{"id":1,"name":"Lead Generation Campaign"},"cancelled":false,"contact":{"email":"contact@example.com","first_name":"Alice","id":1,"last_name":"Blackacre"},"created_at":"2024-01-21T12:00:00","end":"2024-01-26T13:00:00","exchange_id":1,"iana_timezone":"Etc/UTC","id":1,"meeting_link":"https://example.com/meeting-link","start":"2024-01-26T12:00:00","summary":"Acme Corporation x ChaseLabs: Intro Call","user":{"email":"user@example.com","first_name":"Robert","id":1,"last_name":"Vaynerchuk"}}],"uniqueKey":"items.[INDEX]","typeLabel":"ExternalMeeting · object"},"title":"Response Fetch Organisation Meetings Api Api V1 Meetings Get","uniqueKey":"","typeLabel":"ExternalMeeting · object[]"},"examples":{"Example":{"title":"Example","value":[{"bot":{"email":"bot@example.com","first_name":"Bartholomew","id":1,"last_name":"Fleetwood"},"campaign":{"id":1,"name":"Lead Generation Campaign"},"cancelled":false,"contact":{"email":"contact@example.com","first_name":"Alice","id":1,"last_name":"Blackacre"},"created_at":"2024-01-21T12:00:00","end":"2024-01-26T13:00:00","exchange_id":1,"iana_timezone":"Etc/UTC","id":1,"meeting_link":"https://example.com/meeting-link","start":"2024-01-26T12:00:00","summary":"Acme Corporation x ChaseLabs: Intro Call","user":{"email":"user@example.com","first_name":"Robert","id":1,"last_name":"Vaynerchuk"}}]}},"exampleType":"generated"}},"exampleType":"generated"},"b5aafa3b-f8f8-427c-9742-d538ccde97ba":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"eae01416-f2fc-4429-aeb1-f9ef72191b6f":{"API Key":{"type":"apiKey","description":"Key used to authenticate user API requests.","in":"header","name":"X-API-Key","scopes":[]}}},"servers":{"1fadd3a3-e71c-47e8-a0a0-bb3283f27699":{"url":"https://services.meetchase.ai"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","description":"Key used to authenticate user API requests.","in":"header","name":"X-API-Key","scopes":[]},"schema":{"title":"X-API-Key","type":"string","description":"Key used to authenticate user API requests.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"API Key","name":"X-API-Key"}],"title":"API Key"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"chaselabs","siteName":"ChaseLabs Docs","title":"Fetch Meetings - ChaseLabs Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/endpoint/fetchMeetings.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves a list of meetings scheduled within an organisation for a specified date range. ### Query Parameters - start_date (date, optional): The start date for filtering meetings. Meetings on or after this date will be included. - end_date (date, optional): The end date for filtering meetings. Meetings on or before this date will be included. ### Headers - X-API-Key: The API key for authentication. ### Response - Returns a list of ExternalMeeting objects representing each meeting within the specified date range. Each object includes details such as the meeting\u0026#x27;s start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ChaseLabs Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Fetch Meetings - ChaseLabs Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves a list of meetings scheduled within an organisation for a specified date range. ### Query Parameters - start_date (date, optional): The start date for filtering meetings. Meetings on or after this date will be included. - end_date (date, optional): The end date for filtering meetings. Meetings on or before this date will be included. ### Headers - X-API-Key: The API key for authentication. ### Response - Returns a list of ExternalMeeting objects representing each meeting within the specified date range. Each object includes details such as the meeting\u0026#x27;s start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ChaseLabs Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://chaselabs.mintlify.app/_mintlify/api/og/v2?division=Meetings+%26+Conversions\u0026amp;title=Fetch+Meetings\u0026amp;description=Retrieves+a+list+of+meetings+scheduled+within+an+organisation+for+a+specified+date+range.%0A%0A%23%23%23+Query+Parameters%0A%0A-+%60start_date%60+%28%60date%60%2C+optional%29%3A+The+start+da\u0026amp;theme=a49033ef29aa61cd09ed854c\u0026amp;signature=c56160b92bab816738f7f674c5f93cfff040e8665110473d6c64e3c9544091ba\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Fetch Meetings - ChaseLabs Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves a list of meetings scheduled within an organisation for a specified date range. ### Query Parameters - start_date (date, optional): The start date for filtering meetings. Meetings on or after this date will be included. - end_date (date, optional): The end date for filtering meetings. Meetings on or before this date will be included. ### Headers - X-API-Key: The API key for authentication. ### Response - Returns a list of ExternalMeeting objects representing each meeting within the specified date range. Each object includes details such as the meeting\u0026#x27;s start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://chaselabs.mintlify.app/_mintlify/api/og/v2?division=Meetings+%26+Conversions\u0026amp;title=Fetch+Meetings\u0026amp;description=Retrieves+a+list+of+meetings+scheduled+within+an+organisation+for+a+specified+date+range.%0A%0A%23%23%23+Query+Parameters%0A%0A-+%60start_date%60+%28%60date%60%2C+optional%29%3A+The+start+da\u0026amp;theme=a49033ef29aa61cd09ed854c\u0026amp;signature=c56160b92bab816738f7f674c5f93cfff040e8665110473d6c64e3c9544091ba\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ChaseLabs Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF5D5D\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/fetchMeetings.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.meetchase.ai/#organization\",\"name\":\"ChaseLabs Docs\",\"url\":\"https://docs.meetchase.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/chaselabs/q2b5RS8qgCT-5kp8/logo/light.svg?fit=max\u0026auto=format\u0026n=q2b5RS8qgCT-5kp8\u0026q=85\u0026s=7c28bbef56089dc7d49192a80c099af8\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.meetchase.ai#website\",\"name\":\"ChaseLabs Docs\",\"url\":\"https://docs.meetchase.ai\",\"publisher\":{\"@id\":\"https://docs.meetchase.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings#webpage\",\"url\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings\",\"name\":\"Fetch Meetings\",\"description\":\"Retrieves a list of meetings scheduled within an organisation for a specified date range. ### Query Parameters - start_date (date, optional): The start date for filtering meetings. Meetings on or after this date will be included. - end_date (date, optional): The end date for filtering meetings. Meetings on or before this date will be included. ### Headers - X-API-Key: The API key for authentication. ### Response - Returns a list of ExternalMeeting objects representing each meeting within the specified date range. Each object includes details such as the meeting's start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.\",\"isPartOf\":{\"@id\":\"https://docs.meetchase.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"ChaseLabs Docs\",\"item\":\"https://docs.meetchase.ai\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Fetch Meetings\",\"item\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings#apireference\",\"headline\":\"Fetch Meetings\",\"name\":\"Fetch Meetings\",\"description\":\"Retrieves a list of meetings scheduled within an organisation for a specified date range. ### Query Parameters - start_date (date, optional): The start date for filtering meetings. Meetings on or after this date will be included. - end_date (date, optional): The end date for filtering meetings. Meetings on or before this date will be included. ### Headers - X-API-Key: The API key for authentication. ### Response - Returns a list of ExternalMeeting objects representing each meeting within the specified date range. Each object includes details such as the meeting's start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.\",\"url\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings\",\"mainEntityOfPage\":{\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchMeetings#webpage\"},\"publisher\":{\"@id\":\"https://docs.meetchase.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.meetchase.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ChaseLabs Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"ChaseLabs Docs","nav":{"global":{"anchors":[{"anchor":"Documentation","href":"https://docs.meetchase.ai","icon":"book-open-cover"},{"anchor":"Zapier","href":"https://zapier.com/developer/public-invite/218425/33faeff99870659b59266ebfed7caf43/","icon":"bolt"},{"anchor":"Blog","href":"https://meetchase.ai/blog","icon":"newspaper"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/setup"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"API Keys","href":"/api-reference/api-key"}]},{"group":"Campaigns","pages":[{"title":"Add Contact to Campaign \u0026 Start","openapi":"POST /api/v1/campaigns/{campaign_id}/contacts/upload-and-start","href":"/api-reference/endpoint/uploadContactToCampaignStart"},{"title":"Add Contact to Campaign","openapi":"POST /api/v1/campaigns/{campaign_id}/contacts/upload","href":"/api-reference/endpoint/uploadContactToCampaign"},{"title":"Fetch Campaigns","openapi":"GET /api/v1/campaigns","href":"/api-reference/endpoint/fetchCampaigns"},{"title":"Start Campaign","openapi":"PUT /api/v1/campaigns/{campaign_id}/start","href":"/api-reference/endpoint/startCampaign"},{"title":"Fetch Contact Status","openapi":"GET /api/v1/campaigns/data/replies","href":"/api-reference/endpoint/fetchCampaignContactStatus"},{"title":"Fetch Email Exchange","openapi":"GET /api/v1/exchanges/{exchange_id}/emails","description":"Retrieves the email chain for a specific exchange.\n\n## Path Parameters\n\n- **exchange_id** (`int`): The ID of the exchange whose email chain is to be retrieved.\n\n## Authentication (Headers)\n\n- **X-API-Key**: The API key for authenticating the request.\n\n## Returns\n\n- **EmailChain**: The email chain associated with the specified exchange.","href":"/api-reference/endpoint/fetchEmailExchange"}]},{"group":"Meetings \u0026 Conversions","pages":[{"title":"Fetch Meetings","openapi":"GET /api/v1/meetings","href":"/api-reference/endpoint/fetchMeetings"},{"title":"Log Conversion","openapi":"POST /api/v2/conversions","description":"This endpoint allows a client to log a conversion event for a specific contact within an organisation.\nIt checks if the contact exists in the organisation before logging the conversion in the background.\n\n### Body Parameters\n\n- `conversion` (`SubmitConversionV2`): JSON object containing the conversion event details such as contact info and conversion type.\n\n### Authentication\n\n- This endpoint requires a valid API key associated with the organisation to be passed via the request headers.\n\n### Response\n\n- **202 Accepted**: If the conversion event is successfully queued for logging in the background.\n- **200 OK**: If the contact is not associated with the organisation, no conversion is logged, but the request is acknowledged.\n- **401 Unauthorized**: If the API key is invalid or missing, access is denied.\n\n### Example Usage\n\n```bash\ncurl -X POST \"https://services.meetchase.ai/api/v2/conversions\"\n -H \"X-API-Key: \u003cYOUR_API_KEY>\"\n -d '{\n \"email\": \"user@example.com\",\n \"conversion_type\": \"purchase\",\n \"conversion_data\": {\n \"item\": \"premium_subscription\",\n \"price\": 99.99\n }\n }'\n```","href":"/api-reference/endpoint/insertConversion"}]},{"group":"Contacts","pages":[{"title":"Fetch Contacts","openapi":"GET /api/v1/contacts","href":"/api-reference/endpoint/fetchContacts"},{"title":"Add Contact","openapi":"POST /api/v1/contacts/add","href":"/api-reference/endpoint/uploadContact"},{"title":"Add Domain to DNC List","openapi":"POST /api/v1/dnc-domains/json","href":"/api-reference/endpoint/addDNCDomain"},{"title":"Add Contact to DNC List","openapi":"POST /api/v1/contacts/dnc/add","href":"/api-reference/endpoint/addDNC"}]},{"group":"AI SDRs","pages":[{"title":"Fetch AI SDRs","openapi":"GET /api/v1/bots","href":"/api-reference/endpoint/fetchAISDR"}]}]}]},"basePath":"","title":"Fetch Meetings - ChaseLabs Docs","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}